Auto make multiple group or component
-
Use Notepad++ to convert the file's encoding to
UTF-8_without_BOM
and save it.
It IS a standard encoding format in the list.
That is the encoding format required in > v2013, it also works in earlier versions.Attached is the converted .rb, BUT please check how to do it yourself...TIG-selected_connected_into_components.rb
To make it easily installable simply ZIP the RB fie, then rename the file-type suffix from .zip to .rbz...
Again I have attached one, BUT once again, please check how to do it yourself...TIG-selected_connected_into_components.rbz -
Thanks TIG that's great. The problem was that I was using Microsoft Notepad and not Notepad++ which I had to download.
Regarding the installable file, does it create a menu item anywhere? I can't see any. It would be good if you could select the geometry, then either right click or click a menu item under Extensions which would make the multiple components, rather than having to paste into the Ruby console each time. It's no big deal however as the fact that I can do it all is a massive time saver, so thanks again for creating it.
-
If you read the usage it runs from the Ruby Console with
TIG.selected_connected_into_components
It's easy enough to add a menu item...
Edit the file using Notepad++ and at near start findmodule TIG
Immediately after it, insert these new lines.unless file_loaded?(__FILE__) UI.menu("Plugins").add_item("TIG.selected_connected_into_components"){self.selected_connected_into_components()} file_loaded(__FILE__) end
Save it and restart SketchUp to reload...
-
Excellent, thanks again TIG.
-
thank you TIG.. but in my case i want to group every face in the model.
for example: i have 63 face in a sofa model. i want 63 seperate group/component in one click.
for your ruby script, it only make component touching all faces.
how can i achieve that?
-
Copy+Paste the one-liner below into a Notepad++ file.
The reason for that is so you can edit the start partn="???"
, this sets the name of each group Face#1, Face#2 etc... If you are processing several parts it might be useful to have differing names ? They list in the Outliner in alphanumerical order.Select what you want to separate into groups - only faces are processed so no need to be too careful, just ensure the faces you want to group are included.
Copy all of the text.
Open the Ruby Console.
Paste the text.
Press <enter>.Now all selected faces are made into separate groups.
It is one step undo-able...n="Face";m=Sketchup.active_model;s=m.selection;fs=s.grep(Sketchup;;Face);s.clear;a=m.active_entities;m.start_operation("~",true);fs.each_with_index{|f,i|g=a.add_group(f);g.name="#{n}##{i+1}"};m.commit_operation
-
it works perfectly!! thank you so much! you save my day
-
great thanks!!!
-
Great plugin!
Saved my time for hundreds of separated objects to group/component!
Thanks! -
Took me a few goes to get it running but got there! This is just what I needed. Huge thanks, Tig.
-
this is such a great time saver for tricky situations. thanks!
Has this ever been officially made into a plugin for the masses?
thanks,
bob -
Hello;
I've tried several times but it doesn't work. I don't understand where is my fault .
I cannot see any shortcutI use SU 17 thanks for helping
-
@ozansahin said:
I use SU 17 thanks for helping
fix it in your bio (currently showing SU8) then you wouldn't have to remember to type it
-
It works perfectly. your are god TIG
-
hello,
I am looking to generate Groups instead of Components as output, also sometimes the components generated by the script are pieces of the same whole element, for example a chair is autogenerated in components separately by each leg, arm, rest but all of them must be the same group. It is like a nested components
Advertisement